# Concepts

<table><thead><tr><th width="228.12109375" valign="top">Term</th><th width="234.39453125" valign="top">Description</th><th width="339.8984375" valign="top">Where to Find</th></tr></thead><tbody><tr><td valign="top"><code>&#x3C;organizationId></code></td><td valign="top">A unique identifier of an Organization in GitBook.</td><td valign="top">Found in the URL of any space or via the "Copy org ID" button in the organization settings.<br><br>Example: <code>https://app.gitbook.com/o/&#x3C;organizationId/s/&#x3C;sapceId></code></td></tr><tr><td valign="top"><code>&#x3C;spaceId></code></td><td valign="top">A unique identifier of a Space in GitBook.</td><td valign="top">Found in the URL of any space or via the "Copy space ID" button in the upper-right dropdown in a space.<br><br>Example: <code>https://app.gitbook.com/o/&#x3C;organizationId/s/&#x3C;sapceId></code></td></tr><tr><td valign="top"><code>&#x3C;userId></code></td><td valign="top">A unique identifier of a User in GitBook.</td><td valign="top">Retrieved from the "GET Current User" API endpoint or via the "Copy user ID" button from your organization settings.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/concepts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
